# DoWhile

`DoWhile` is a conditional looping function. Use this function when you need to loop while something is *true*.

***

## Properties

### Condition

The condition needs to evaluate to *true* or *false*. The function will loop while the condition is *true*.

***

### Test

When to test the condition, before or after the loop.

Use 'After' when you want to execute the body of the loop at least once, even if the condition fails.

***

## Tutorial video

{% embed url="<https://youtu.be/DAAaDlQOoYk>" %}

***

## Links

[Control Flow](/main-concepts/control-flow.md)

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/linx/content/dowhile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
